com.atid.lib.types

## Enum ResultCode

- java.lang.Object
- - java.lang.Enum<ResultCode>
  - - com.atid.lib.types.ResultCode

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ResultCode>

      public enum ResultCode
      extends java.lang.Enum<ResultCode>
      implements IEnumType

  The ResultCode enumeration represents failure and behavior results.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BusyDevice`
    `CommandFormatError`
    `ConnectFail`
    `CRCError`
    `FailedParameter`
    `HandleMismatch`
    `InOperation`
    `InsufficientPower`
    `InvalidCommand`
    `InvalidModule`
    `InvalidParameter`
    `InvalidPassword`
    `InvalidReceivePacket`
    `InvalidResponse`
    `InvalidResponseData`
    `InvalidResponseExParam`
    `InvalidResponseIndex`
    `InvalidSendPacket`
    `LowBattery`
    `MemoryLocked`
    `MemoryOverrun`
    `NoError`
    `NonSpecificError`
    `NoTagReply`
    `NotFoundParameter`
    `NotSupported`
    `NotSupportedBarcodeMode`
    `NotSupportedBeep`
    `NotSupportedKeyMode`
    `NotSupportedLight`
    `NotSupportedNormalMode`
    `NotSupportedVibrate`
    `OperationFailed`
    `OtherError`
    `OutOfRange`
    `OutOfRetries`
    `ParamError`
    `ReadCountInvalid`
    `ReceiveFail`
    `ReceiveTimeout`
    `SendFail`
    `SendTimeout`
    `SystemError`
    `TagLost`
    `Timeout`
    `Undefined`
    `UnknownError`
    `ZeroKillPassword`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `toString()`
    `static ResultCode` | `valueOf(int code)`
    `static ResultCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResultCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoError

          public static final ResultCode NoError

    - #### OtherError

          public static final ResultCode OtherError

    - #### Undefined

          public static final ResultCode Undefined

    - #### MemoryOverrun

          public static final ResultCode MemoryOverrun

    - #### MemoryLocked

          public static final ResultCode MemoryLocked

    - #### InsufficientPower

          public static final ResultCode InsufficientPower

    - #### NonSpecificError

          public static final ResultCode NonSpecificError

    - #### InvalidModule

          public static final ResultCode InvalidModule

    - #### NotSupported

          public static final ResultCode NotSupported

    - #### InOperation

          public static final ResultCode InOperation

    - #### OutOfRange

          public static final ResultCode OutOfRange

    - #### NotSupportedBeep

          public static final ResultCode NotSupportedBeep

    - #### NotSupportedVibrate

          public static final ResultCode NotSupportedVibrate

    - #### NotSupportedLight

          public static final ResultCode NotSupportedLight

    - #### NotSupportedNormalMode

          public static final ResultCode NotSupportedNormalMode

    - #### NotSupportedBarcodeMode

          public static final ResultCode NotSupportedBarcodeMode

    - #### NotSupportedKeyMode

          public static final ResultCode NotSupportedKeyMode

    - #### InvalidResponse

          public static final ResultCode InvalidResponse

    - #### InvalidResponseIndex

          public static final ResultCode InvalidResponseIndex

    - #### InvalidParameter

          public static final ResultCode InvalidParameter

    - #### InvalidResponseData

          public static final ResultCode InvalidResponseData

    - #### InvalidResponseExParam

          public static final ResultCode InvalidResponseExParam

    - #### FailedParameter

          public static final ResultCode FailedParameter

    - #### NotFoundParameter

          public static final ResultCode NotFoundParameter

    - #### SendFail

          public static final ResultCode SendFail

    - #### ReceiveFail

          public static final ResultCode ReceiveFail

    - #### SendTimeout

          public static final ResultCode SendTimeout

    - #### ReceiveTimeout

          public static final ResultCode ReceiveTimeout

    - #### InvalidSendPacket

          public static final ResultCode InvalidSendPacket

    - #### InvalidReceivePacket

          public static final ResultCode InvalidReceivePacket

    - #### ConnectFail

          public static final ResultCode ConnectFail

    - #### Timeout

          public static final ResultCode Timeout

    - #### UnknownError

          public static final ResultCode UnknownError

    - #### SystemError

          public static final ResultCode SystemError

    - #### HandleMismatch

          public static final ResultCode HandleMismatch

    - #### CRCError

          public static final ResultCode CRCError

    - #### NoTagReply

          public static final ResultCode NoTagReply

    - #### InvalidPassword

          public static final ResultCode InvalidPassword

    - #### ZeroKillPassword

          public static final ResultCode ZeroKillPassword

    - #### TagLost

          public static final ResultCode TagLost

    - #### CommandFormatError

          public static final ResultCode CommandFormatError

    - #### ReadCountInvalid

          public static final ResultCode ReadCountInvalid

    - #### OutOfRetries

          public static final ResultCode OutOfRetries

    - #### ParamError

          public static final ResultCode ParamError

    - #### BusyDevice

          public static final ResultCode BusyDevice

    - #### InvalidCommand

          public static final ResultCode InvalidCommand

    - #### LowBattery

          public static final ResultCode LowBattery

    - #### OperationFailed

          public static final ResultCode OperationFailed

  - ### Method Detail

    - #### values

          public static ResultCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResultCode c : ResultCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResultCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### getMessage

          public java.lang.String getMessage()

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ResultCode>`

    - #### valueOf

          public static ResultCode valueOf(int code)